Futures Isolated

Cancel trade

POST/futures/isolated/trade/cancelPrivate

Cancel an open trade

Permissions: futures:isolated:write

Request Body

application/json
  1. body
id*string

Trade ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

OK

application/json
  1. response
id*string

Internal trade ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
type*"limit"

Trade type

Value in"limit"
side*string

Trade side

Value in"buy""sell"
openingFee*integer

Fee that would have been paid when opening

closingFee*integer

No closing fee for canceled trades

maintenanceMargin*integer

No maintenance margin for canceled trades

quantity*number

Number of contracts that were ordered

margin*integer

Margin that was reserved for the order

leverage*number

Leverage multiplier that was requested

price*number

Limit price for the order (in USD)

liquidation*number

Calculated liquidation price for the order (in USD)

stoploss*number

Stop loss price level (0 if not set, in USD)

takeprofit*number

Take profit price level (0 if not set, in USD)

stoplossTrailingDistance*number

Trailing stop distance as a fraction of price (0 if not trailing)

exitPrice*|

No exit price for canceled trades (in USD)

pl*integer

No profit/loss for canceled trades

createdAt*string

Timestamp when the trade was created

Formatdate-time
filledAt*null

Never filled in market (null for canceled trades)

closedAt*string

Timestamp when the trade was canceled

Formatdate-time
entryPrice*|

Intended entry price for the position (in USD)

entryMargin*integer

Initial margin that was reserved

open*boolean

Whether the trade is open (false for canceled)

running*boolean

Whether the trade is running (false for canceled)

canceled*boolean

Whether the trade was canceled before being filled

closed*boolean

Whether the trade is closed (false for canceled)

sumFundingFees*integer

No funding fees for canceled trades

sumCashInPl*integer

Total amount cashed in from PL over the trade lifetime

sumCashInMargin*integer

Total amount cashed in from margin over the trade lifetime

clientId*|

Optional custom data field (max 64 characters)

import { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({  key: 'your-key',  secret: 'your-secret',  passphrase: 'your-passphrase',})const result = await client.futures.isolated.cancel({  id: 'd0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e'})
{  "id": "d0b9f9a0-4f6e-4a5a-8b7a-7f0f5f9a8a1e",  "type": "limit",  "side": "buy",  "openingFee": 10,  "closingFee": 0,  "maintenanceMargin": 0,  "quantity": 100,  "margin": 1000,  "leverage": 10,  "price": 20000,  "liquidation": 18000,  "stoploss": 10,  "takeprofit": 10,  "stoplossTrailingDistance": 0,  "exitPrice": 0,  "pl": 0,  "createdAt": "2025-09-01T15:04:21.129Z",  "filledAt": null,  "closedAt": "2025-09-01T15:04:21.129Z",  "entryPrice": 20000,  "entryMargin": 1000,  "open": false,  "running": false,  "canceled": true,  "closed": false,  "sumFundingFees": 0,  "sumCashInPl": 0,  "sumCashInMargin": 0,  "clientId": "test-client-id-123"}